function OnLoad(self)
    local AddonFrame = CreateFrame("Frame", nil, UIParent, "BackdropTemplate")
    AddonFrame:SetSize(600, 200)
    AddonFrame:SetPoint("TOP", 0, -200)
    AddonFrame.text = AddonFrame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
    AddonFrame.text:SetSize(AddonFrame:GetWidth(), AddonFrame:GetHeight() - 25)
    AddonFrame.text:SetPoint("TOP")
    AddonFrame.text:SetText("AzerPUG RareUtility:\n\n" ..
    "Active development of this addon is stopped and this addon is no longer supported.\n" ..
    "Please be so kind to uninstall!\n\n" ..
    "Please consider checking out our other addons: www.azerpug.com/addons.\n" ..
    "If you are looking for similar functionality: TomCats Tours is by far your best option!\n" ..
    "TomCat's will also be actively developed in Shadowlands!\n")
    AddonFrame:SetBackdrop({
        bgFile = "Interface/Tooltips/UI-Tooltip-Background",
        edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
        edgeSize = 8,
        insets = { left = 1, right = 1, top = 1, bottom = 1 },
    })
    AddonFrame:SetBackdropColor(0.5, 0.5, 0.5, 1)

    local HideButton = CreateFrame("Button", nil, AddonFrame, "UIPanelButtonTemplate")
    HideButton:SetSize(100, 20)
    HideButton:SetPoint("BOTTOM", 0, 5)
    HideButton.text = HideButton:CreateFontString(nil, "ARTWORK", "GameFontNormal")
    HideButton.text:SetText("Hide Frame!")
    HideButton.text:SetSize(HideButton:GetWidth(), HideButton:GetHeight())
    HideButton.text:SetPoint("CENTER", 0, -1)
    HideButton:SetScript("OnClick", function() AddonFrame:Hide() end )
end

OnLoad()